2021-04-12 09:49 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004949MasterAxe[WHDLoad Installs Games] slavepublic2021-01-24 10:49
Reporterretrogamer 
Assigned ToJOTDProject InfoMaster Axe (Epic)
http://www.whdload.de/games/MasterAxe.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004949: "Adress Error" with crash back to Workbench after titlescreen with 68000 cpu
Descriptionwhdload_register file attatched.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.6
imported
Attached Files
  • ? file icon .whdl_register (3,633 bytes) 2021-01-11 16:00 -
    
    ************************* 26-Dec-15 16:05:37 ************************18.6.6128***
    Slave='MasterAxe.slave' (556 bytes)
    Resload     29E248 -   2A485C (  26132) at 29E248  GL=$2A6108
    Slave       2314C0 -   2316C8 (    520) at 2314C0  BaseMemSize=$180000
    attn=201(UAE,10) fc=-1 kn=0 cs=DC00 rw=1 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Address Error" ($800C) PC = $4AFC Word Read from $5737
    
    $00004ad0 movem.l      a0-a1,-(a7)                    ;$00000524
    $00004ad4 lea          ($4be4,pc),a1
    $00004ad8 move.b       (a0),(a1)+                     ;$00005737 $00013024
    $00004ada tst.b        (a0)                           ;$00005737
    $00004adc beq.b        $4ae2
    $00004ade addq.l       #1,a0
    $00004ae0 bra.b        $4ad8
    $00004ae2 movem.l      (a7)+,a0-a1                    ;$00000524
    $00004ae6 movem.l      a0-a1,-(a7)                    ;$00000524
    $00004aea tst.b        ($4acb)
    $00004af0 bne.b        $4afa
    $00004af2 bsr.w        $4a2c
    $00004af6 movem.l      (a7)+,a0-a1                    ;$00000524
    $00004afa move.l       (a0),($4bf8)                   ;$00005737
    $00004b00 movem.l      a0-a1,-(a7)                    ;$00000524
    $00004b04 bsr.w        $4a58
    $00004b08 movem.l      (a7)+,a0-a1                    ;$00000524
    $00004b0c movem.l      a0-a1,-(a7)                    ;$00000524
    $00004b10 lea          ($4be4),a0
    $00004b16 move.l       #$6466303a,(a0)                ;$00005737
    $00004b1c btst         #6,(2,a6)                      ;$00dff002
    $00004b22 bne.b        $4b1c
    $00004b24 move.l       ($4acc,pc),a2
    $00004b28 bsr.w        $4bfc
    $00004b2c tst.l        d0
    $00004b2e beq.w        $4b8e
    $00004b32 lea          ($4abb,pc),a0
    $00004b36 cmpi.l       #$3030313a,($4bf8)
    $00004b40 bne.b        $4b48
    
    exception stackframe:
    $00000524 20040000 4AFC800C 11050000 57370014 001EA3A3 0000A4A4 00000000 00000000
    $00000544 00000000 00000000 00000000 00000000 00000000 00000000 0000
    regular stack:
    $0000055E 0000FEAA 00013024 00010000 06FE91C8 23C80000 03D4217C 00000580 00804E40
    $0000057E 4E7333FC 002000DF F1DC48E7 FFFE23CF 000000D0 603AFFD8 33F900DF F0020000
    $0000059E 00C833F9 00DFF01C 000000CA 2C790000 0004206E 009C23E8 00260000 00CC207A
    $000005BE FE1643FA FB123E3C 00BF22D8 51CFFFFC 6100121C 6100122A 4DF900DF F000082E
    $000005DE 00060002 66F83D7C 7FFF009A 46FC2000 08F90001 00BFE001 3D7C7FFF 00963D7C
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       74     30014  D2D2D2D2  D3D3D3D3  D4D4D4D4  D5D5D5D5  D6D6D6D6      FFFF
    Ax     5737     13024    145F62  A3A3A3A3  A4A4A4A4    DFF000    DFF000
    
                     TTSM III   XNZVC
    PC=    4AFC›22m  SR %0010000000000100  USP=17FC00  ›1mSSP=524
    VBR=2A7108  SFC=5  DFC=5
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000100000›22m dmacon=%›1m0000001111000000 adkcon=$1100
    intreq=%0000000101000000
    vposr....A000  vhposr...0003  joy0dat..0100  joy1dat..0000  clxdat...8022  
    pot0dat..E500  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..0000  
    deniseid.FFFC  hhposr...00A2  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000141  icr=00  sdr=00    event=018879  icr=00  sdr=00
    
    ? file icon .whdl_register (3,633 bytes) 2021-01-11 16:00 +

-Relationships
+Relationships

-Notes

note ~0009444

JOTD (developer)

reading word at odd address. That requires a 68020+

I'll fix that if that means that the game will run on a plain 68000 with 2MB chip.

note ~0009467

JOTD (developer)

fixed, but there are more issues like that. Going to take more time.
+Notes

-Issue History
Date Modified Username Field Change
2021-01-11 16:00 retrogamer New Issue
2021-01-11 16:00 retrogamer File Added: .whdl_register
2021-01-11 21:03 JOTD Assigned To => JOTD
2021-01-11 21:03 JOTD Status new => confirmed
2021-01-11 21:03 JOTD Note Added: 0009444
2021-01-23 18:35 JOTD Note Added: 0009467
2021-01-24 10:49 JOTD Status confirmed => closed
2021-01-24 10:49 JOTD Resolution open => fixed
+Issue History